<?php

/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class TeilnehmerAusbild4Tab extends NormalPartialSight
{
  
  protected $_tabHelper;
  public $dbwtnausbildung;
  public $tnr;

  public function __construct($pTnId)
  {
    parent::__construct();
    $this->_tabHelper = new TabHelper($this);
    $this->dbwtnausbildung = new DBWorkTNAusbildung();
    $this->tnr = $pTnId;
  }

  
  public function getTitle()
  {
    $dbwteilnehmer = new DBWorkTeilnehmer(1, true);
    $teilnehmer = $dbwteilnehmer->getTeilnehm($this->tnr);

    return
      'Ausbildung von Teilnehmer: '
      . $teilnehmer->vorname . ' '
      . $teilnehmer->name
      . BR . BR;
  }

  
  public function getData()
  {
    $this->dataary = $this->dbwtnausbildung->getAusbildungByTNr($this->tnr);
  }

  
  public function getFooter()
  {
    return NormalSight::getFooter() . BR . BR;
  }

  
  public function getHeader()
  {
    return $this->_tabHelper->getHeader();
  }

  public function getTableHeaderCol($colindex)
  {
    return $this->_tabHelper->getTableHeaderCol($colindex);
  }

  
  public function getTableCell($pValue, $pColumn, $pTextcolor = true)
  {
    return $this->_tabHelper->getTableCell($pValue, $pColumn, $pTextcolor);
  }

  protected function getTrOpen($pColor)
  {
    return $this->_tabHelper->getTrOpen($pColor);
  }

  protected function getTBodyOpen()
  {
    return $this->_tabHelper->getTBodyOpen();
  }

  protected function getTBodyClose()
  {
    return $this->_tabHelper->getTBodyClose();
  }

  protected function getTHeadOpen()
  {
    return $this->_tabHelper->getTHeadOpen();
  }

  protected function getTHeadClose()
  {
    return $this->_tabHelper->getTHeadClose();
  }

  
  public function getTable()
  {
    return $this->_tabHelper->getTable();
  }

  public function getParentTable()
  {
    return parent::getTable();
  }

  public function getTableHeaderCheckCells()
  {
    return '';
  }
}